### Function

# GLib HashTable ref

since: 2.10

#### Declaration

    GHashTable*
    g_hash_table_ref (
      GHashTable* hash_table
    )

#### Description

Atomically increments the reference count of `hash_table` by one. This function is MT-safe and may be called from any thread.

Available since: 2.10

#### Parameters

`hash_table`

  Type: `GHashTable`

  A valid `GHashTable`.

  The data is owned by the caller of the function.

#### Return value

Type: `GHashTable`

The passed in `GHashTable`.

The caller of the function takes ownership of the data, and is responsible for freeing it.